package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIU5 extends MwfRequest<MWFIU5, MWFIU5Response> {

    @Parameter(name = "BranchID")
    MWFIU5 branchID(String branchID);
    @Parameter(name = "CIF")
    MWFIU5 cif(String cif);
    @Parameter(name = "CompletationChannel")
    MWFIU5 completationChannel(String completationChannel);
    @Parameter(name = "ProdPackageKey")
    MWFIU5 prodPackageKey(Long prodPackageKey);
}
